AuthenticationContainer (Gradle API 7.6.3)

Package org.gradle.api.artifacts.repositories

## Interface AuthenticationContainer

- All Superinterfaces:
    `java.util.Collection<Authentication>`, `Configurable<NamedDomainObjectContainer<Authentication>>`, `DomainObjectCollection<Authentication>`, `java.lang.Iterable<Authentication>`, `NamedDomainObjectCollection<Authentication>`, `NamedDomainObjectContainer<Authentication>`, `NamedDomainObjectSet<Authentication>`, `PolymorphicDomainObjectContainer<Authentication>`, `java.util.Set<Authentication>`

      public interface AuthenticationContainer
      extends PolymorphicDomainObjectContainer<Authentication>

  Container for configuring repository authentication schemes of type `Authentication`.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`